﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[STKWMV]') AND name = N'XSTKWMV1')
BEGIN 
PRINT 'Creating index XSTKWMV1 on table STKWMV'
CREATE UNIQUE NONCLUSTERED INDEX [XSTKWMV1] ON [dbo].[STKWMV] 
(
	[WEDT] ASC,
	[SKUN] ASC,
	[WKNO] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[STKWMV]') AND name = N'XSTKWMV2')
BEGIN 
PRINT 'Creating index XSTKWMV2 on table STKWMV'
CREATE UNIQUE NONCLUSTERED INDEX [XSTKWMV2] ON [dbo].[STKWMV] 
(
	[SKUN] ASC,
	[WEDT] ASC,
	[WKNO] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

